return {
    {
        "folke/trouble.nvim",
        tag="v3.3.0",
        dependencies = {
            {
                "nvim-tree/nvim-web-devicons"
            },
            {
                'folke/lsp-colors.nvim'
            },
            {
                'nvim-telescope/telescope.nvim'
            }
        },
        cmd = {
            "Trouble",
            "TroubleClose",
            "TroubleToggle",
            "TroubleRefresh"
        },
        init = function()
            vim.keymap.set("n", "<leader>xx", function() require("trouble").toggle() end, {
                desc = "Toggle"
            })
            vim.keymap.set("n", "<leader>xd", function() require("trouble").toggle("diagnostics") end, {
                desc = "Diagnostics"
            })
            vim.keymap.set("n", "<leader>xq", function() require("trouble").toggle("quickfix") end, {
                desc = "Quickfix"
            })
            vim.keymap.set("n", "<leader>xl", function() require("trouble").toggle("loclist") end, {
                desc = "Loclist"
            })
            -- vim.keymap.set("n", "<leader>xr", function() require("trouble").toggle("lsp_references") end, {
            --     desc = "LSP references"
            -- })
        end,
        config = function()
            local trouble_provider = require("trouble.sources.telescope")
            local telescope = require("telescope")

            telescope.setup {
                defaults = {
                    mappings = {
                        i = {
                            ["<c-t>"] = trouble_provider.open
                        },
                        n = {
                            ["<c-t>"] = trouble_provider.open
                        }
                    }
                }
            }
        end
    }
}
